<!--
  Generated template for the CheckinPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>

  <ion-navbar color="danger">
    <ion-title>checkin</ion-title>
  </ion-navbar>

</ion-header>


<ion-content>
<ion-card *ngFor="let item of d" >
	
	<div *ngIf="(item.survey_type == 1);else costum;">
	  <ion-card-header style="background: #f92020;
	    color: #FFF;
	    font-weight: bold;white-space: normal;">
	 	 {{item.survey_name}}
	  </ion-card-header>

	  	<input type="hidden"  value="item.idTask" [(ngModel)]="task_id[item.id]=item.idTask">	
	  	<input type="hidden"  value="item.id" [(ngModel)]="survey_id[item.id]=item.id">	
	  <!-- PG -->
	  <ion-list radio-group [(ngModel)]="point[item.id]">
	  	<ion-item>
	  		<ion-label>A. {{item.survey_opt_a}}</ion-label>
	  		<ion-radio value="survey_opt_a"></ion-radio>
	  	</ion-item>
	  	<ion-item>
	  		<ion-label>B. {{item.survey_opt_b}}</ion-label>
	  		<ion-radio value="survey_opt_b"></ion-radio>
	  	</ion-item>
	  	<ion-item>
	  		<ion-label>C. {{item.survey_opt_c}}</ion-label>
	  		<ion-radio value="survey_opt_c"></ion-radio>
	  	</ion-item>
	  	<ion-item>
	  		<ion-label>D. {{item.survey_opt_d}}</ion-label>
	  		<ion-radio value="survey_opt_d"></ion-radio>
	  	</ion-item>
	  	<ion-item>
	  		<ion-label>E. {{item.survey_opt_e}}</ion-label>
	  		<ion-radio value="survey_opt_e"></ion-radio>
	  	</ion-item>
	  </ion-list>
	</div>

	<!-- Costume -->
	<ng-template #costum>
		<input type="hidden"  value="item.idTask" [(ngModel)]="task_id[item.id]=item.idTask">	
	  	<input type="hidden"  value="item.id" [(ngModel)]="survey_id[item.id]=item.id">	
	  	
		<ion-card-header style="background: #f92020;
			color: #FFF;
			font-weight: bold;white-space: normal;">
		 {{item.survey_name}}
		</ion-card-header>

		<ion-list radio-group [(ngModel)]="point[item.id]">
			<ion-item>
				<ion-textarea placeholder="Enter a description"></ion-textarea>
			</ion-item>
		</ion-list>
	</ng-template>
</ion-card>

	<div padding>
	<button ion-button round outline block (click)="save()">Next</button>
	</div>
</ion-content>
